cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/operator_groups?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.operator_groups.get_settings_operator_groups({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.operatorGroups.getSettingsOperatorGroups({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->operatorGroups->getSettingsOperatorGroups(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.operator_groups.operator_groups_dto.OperatorGroupsDto.SettingsOperatorGroupList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOperatorGroupList> response = client.operatorGroups().getSettingsOperatorGroups(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.OperatorGroups.GetSettingsOperatorGroupsAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.operatorGroups.getSettingsOperatorGroups(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.OperatorGroups().GetSettingsOperatorGroups(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"status": "<string>",
"role": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"departments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Operator groups
List operator groups
Lists your operator groups, a page at a time.
GET
/
settings
/
operator_groups
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/operator_groups?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.operator_groups.get_settings_operator_groups({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.operatorGroups.getSettingsOperatorGroups({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->operatorGroups->getSettingsOperatorGroups(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.operator_groups.operator_groups_dto.OperatorGroupsDto.SettingsOperatorGroupList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsOperatorGroupList> response = client.operatorGroups().getSettingsOperatorGroups(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.OperatorGroups.GetSettingsOperatorGroupsAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.operatorGroups.getSettingsOperatorGroups(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.OperatorGroups().GetSettingsOperatorGroups(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"status": "<string>",
"role": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"departments": [
{
"object": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"href": "<string>"
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Returns the groups under
data, with pagination for the next page.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Query Parameters
The most operator groups to return on one page.
Example:
20
The pagination.next_cursor from the previous page, to fetch the next page.